<?php

require_once 'base/GepOpersituacaoEntityBase.php';

/**
 * This class has been auto-generated by Setforms
 *
 * @package Entity.
 * @author  setforms
 *
 */
class GepOpersituacaoEntity extends GepOpersituacaoEntityBase
{
    const SEM_REGISTRO = 10;


    /**
    * Gera novo codigo de Operador responsavel na Situacao por Tipo de Fluxo.
    *
    * @param integer $nrorg Numero da Organizacao.
    *
    * @return $codigo integer
    */
    public static function retornaProxNumeroOperSituacao($nrorg){
        $codigo = Novocodigo::geraCodigo($nrorg, 'GEP_OPERSITUACAO', 10);
        return $codigo;
    }


    /**
     * Retorna dados de um operador responsavel atraves da situacao.
     *
     * @throws Exception             Consulta sem registro.
     * @param  integer $nrorg        Numero da organizacao.
     * @param  integer $nrsituacao   Numero da situacao.
     *
     * @return object  $consulta     Dados da consulta.
     */
    public static function retornaOperadorResponsavel($nrorg, $nrsituacao){
        $consulta = GepOpersituacao::consultaOperadorResponsavel($nrorg, $nrsituacao);
        if ($consulta instanceof GepOpersituacaoEntity) {
            return $consulta;
        }

        throw new Exception('GepOpersituacaoEntity: Nao ha registro para este operador responsavel',self::SEM_REGISTRO);
    }


}