import { Select } from '@zeedhi/common';
import {
  IEventParam, Metadata, Loader, Http,
} from '@zeedhi/core';

export class UtilitiesPLA {
  public appController = Loader.getInstance('AppController');
  
  public alteraRecPadrao = true;
  
  public isMerenda() {
    /* 4875 produto Alimentacao Escolar Next
    6935 produto Alimentacao Escolar Angular */
    return localStorage.getItem('PRODUCT_ID') === '4875' || localStorage.getItem('PRODUCT_ID') === '6935';
  }
  
  public clearFields({ component }: IEventParam<Select>) {
    let tpCard: Select;
    if (document.getElementsByName('TIPOCARD').length > 0) {
      tpCard = Metadata.getInstance<Select>('TIPOCARD');
    } else if (document.getElementsByName('TIPOCARD_ORIGEM').length > 0 && component.name === 'CENTRAL') {
      tpCard = Metadata.getInstance<Select>('TIPOCARD_ORIGEM');
    } else if (document.getElementsByName('TIPOCARDDEST').length > 0 && component.name === 'CENTRALDESTINO') {
      tpCard = Metadata.getInstance<Select>('TIPOCARDDEST');
    } else {
      tpCard = Metadata.getInstance<Select>('TIPOCARD_ACAO');
    }
    
    if (component.name === 'CENTRAL' || component.name === 'CENTRALDESTINO') {
      tpCard.setValue('');
    }
  }
  
  public setCentral() {
    const central = Metadata.getInstance<Select>('CENTRAL');
    central.setValue(this.appController.getCdCentral());
    
    const centralD = document.getElementsByName('CENTRALDESTINO');
    if (centralD.length > 0) {
      const centralDestino = Metadata.getInstance<Select>('CENTRALDESTINO');
      centralDestino.setValue(this.appController.getCdCentral());
    }
  }
  
  public validaPermReceita() {
    // valida controle de acesso
    Http.post('/prato/ctrlAcesso', {}).then((result) => {
      this.alteraRecPadrao = result.data.dataset.CTRLREC.PADRAO;
    });
  }
}
