import {
  Loader, Metadata, IDictionary,
} from '@zeedhi/core';

import { GridEditable } from '@zeedhi/common';

export class Dih52300MedicaoCaseiraController {
  public gridEditController = Loader.getInstance('GridEditableController');

  public crudController = Loader.getInstance('CrudController');

  public utilities = Loader.getInstance('Utilities');

  public saveMedCas() {
    const grid: GridEditable = Metadata.getInstance('gridMedicaoCaseira');
    const editedRows = grid.getEditedRows(false, true);

    if (grid.isGridValid(true) && editedRows.length > 0) {
      editedRows.forEach((row: IDictionary) => {
        row.CDMEDICASE = row.CDMEDICASE.padStart(5, '0');
      });
      
      this.crudController.saveRows(editedRows, 'medidaCaseira', grid).then(() => {
        this.utilities.showAlert('alert', 'Salvo com sucesso!', 'success');
      }).catch((error: string) => {
        this.utilities.showAlert('alert', `pme::${error}`, 'error');
      }).finally(() => {
        this.gridEditController.defaultState(grid);
      });
    }
  }
}
