import { ZdFramePage } from '@zeedhi/vuetify';
import { Loader } from '@zeedhi/core';

let appController: any;

const routes = [
  {
    path: '/auth/login',
    name: 'Login',
    component: ZdFramePage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'Início',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: 'home',
        routePath: '/',
      },
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdFramePage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
  {
    path: '/ger21000_formas_apresentacao',
    name: 'Formas de Apresentação',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/ger21000_formas_apresentacao',
        routePath: '/ger21000_formas_apresentacao',
      },
    }),
  },
  {
    path: '/pme00600_elaboracao_cardapio',
    name: 'Elaboração do Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/cardapio/pme00600_elaboracao_cardapio',
        routePath: '/pme00600_elaboracao_cardapio',
      },
    }),
  },
  {
    path: '/pme06600_substituicao_de_pratos',
    name: 'Substituição de Pratos',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/cardapio/pme06600_substituicao_de_pratos',
        routePath: '/pme06600_substituicao_de_pratos',
      },
    }),
  },
  {
    path: '/ger96000_central',
    name: 'Central',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/cadastro/ger96000_central',
        routePath: '/ger96000_central',
      },
    }),
  },
  {
    path: '/ger01800_unidade_de_medida',
    name: 'Unidade de Medida',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/cadastro/ger01800_unidade_de_medida',
        routePath: '/ger01800_unidade_de_medida',
      },
    }),
  },
  /* {
    path: '/pla01308_utilizacao_produto_receita',
    name: 'Utilização de Produtos na Receita',
    component: ZdFramePage,
    props: () => ({
      path: '/planejamento/parametrizacao/pla01308_utilizacao_produto_receita',
      local: true,
    }),
  }, */
  {
    path: '/pme11000_percentual_adesao_prato',
    name: 'Percentual de Adesão do Prato',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/parametrizacao/pme11000_percentual_adesao_prato',
        routePath: '/pme11000_percentual_adesao_prato',
      },
    }),
  },
  {
    path: '/pme04000_realocacao_comensais_especiais',
    name: 'Realocação de Comensais Especiais',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/parametrizacao/pme04000_realocacao_comensais_especiais',
        routePath: '/pme04000_realocacao_comensais_especiais',
      },
    }),
  },
  {
    path: '/pme00900_requisicao_servico_analitica',
    name: 'Requisição por Serviço Analítica',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/requisicao/pme00900_requisicao_servico_analitica',
        routePath: '/pme00900_requisicao_servico_analitica',
      },
    }),
  },
  {
    path: '/pme00800_calculo_previsao_consumo',
    name: 'Cálculo da Previsão do Consumo',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/requisicao/pme00800_calculo_previsao_consumo',
        routePath: '/pme00800_calculo_previsao_consumo',
      },
    }),
  },
  {
    path: '/pme03100_emissao_card_dia',
    name: 'Emissão do Cardápio do Dia',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/relatorios/pme03100_emissao_card_dia',
        routePath: '/pme03100_emissao_card_dia',
      },
    }),
  },
  {
    path: '/pme03000_emissao_card_periodo',
    name: 'Emissão do Cardápio do Período',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/relatorios/pme03000_emissao_card_periodo',
        routePath: '/pme03000_emissao_card_periodo',
      },
    }),
  },
  {
    path: '/ger80500_nutricionista',
    name: 'Nutricionista',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/ger80500_nutricionista',
        routePath: '/ger80500_nutricionista',
      },
    }),
  },
  {
    path: '/pme00300_tipo_de_cardapio',
    name: 'Tipo de Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/parametrizacao/pme00300_tipo_de_cardapio',
        routePath: '/pme00300_tipo_de_cardapio',
      },
    }),
  },
  {
    path: '/pme00700_consumo_por_servico',
    name: 'Consumo por Serviço',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/servico/pme00700_consumo_por_servico',
        routePath: '/pme00700_consumo_por_servico',
      },
    }),
  },
  {
    path: '/pla01305_consulta_nutrientes',
    name: 'Consulta de Nutrientes',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01305_consulta_nutrientes',
        routePath: '/pla01305_consulta_nutrientes',
      },
    }),
  },
  {
    path: '/pme00200_servico',
    name: 'Serviço',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/servico/pme00200_servico',
        routePath: '/pme00200_servico',
      },
    }),
  },
  {
    path: '/report',
    name: 'report',
    component: ZdFramePage,
    props: () => ({
      path: 'report',
      local: true,
    }),
  },
  {
    path: '/pme01000_emissao_card_semana',
    name: 'Emissão do Cardápio da Semana',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/relatorios/pme01000_emissao_card_semana',
        routePath: '/pme01000_emissao_card_semana',
      },
    }),
  },
  {
    path: '/pme02400_clientes_por_servico',
    name: 'Clientes por Serviço',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/servico/pme02400_clientes_por_servico',
        routePath: '/pme02400_clientes_por_servico',
      },
    }),
  },
  {
    path: '/pme09100_nutriente_cardapio',
    name: 'Nutrientes do Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/relatorios/pme09100_nutriente_cardapio',
        routePath: '/pme09100_nutriente_cardapio',
      },
    }),
  },
  {
    path: '/pme00500_comensais_estimados',
    name: 'Comensais Estimados',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/parametrizacao/pme00500_comensais_estimados',
        routePath: '/pme00500_comensais_estimados',
      },
    }),
  },
  {
    path: '/pme08100_custo_real_periodo',
    name: 'Custo Real do Período',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme08100_custo_real_periodo',
        routePath: '/pme08100_custo_real_periodo',
      },
    }),
  },
  {
    path: '/pme01300_emissao_card_periodo_PAE',
    name: 'Emissão do Cardápio do Período - Programa de Alimentação Escolar',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/relatorios/pme01300_emissao_card_periodo_PAE',
        routePath: '/pme01300_emissao_card_periodo_PAE',
      },
    }),
  },
  {
    path: '/pme08000_custo_planejado_cardapio',
    name: 'Custo Planejado do Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme08000_custo_planejado_cardapio',
        routePath: '/pme08000_custo_planejado_cardapio',
      },
    }),
  },
  {
    path: '/pme01400_efetivos',
    name: 'Efetivos',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/medicao/pme01400_efetivos',
        routePath: '/pme01400_efetivos',
      },
    }),
  },
  {
    path: '/ger02500_nutrientes',
    name: 'Nutrientes',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/ger02500_nutrientes',
        routePath: '/ger02500_nutrientes',
      },
    }),
  },
  {
    path: '/ger04000_nutrientes_por_produto',
    name: 'Nutrientes por Produto',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath:
          '/planejamento/parametrizacao/ger04000_nutrientes_por_produto',
        routePath: '/ger04000_nutrientes_por_produto',
      },
    }),
  },
  {
    path: '/ger30000_padrao_de_servico',
    name: 'Padrão de Serviço',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/servico/ger30000_padrao_de_servico',
        routePath: '/ger30000_padrao_de_servico',
      },
    }),
  },
  {
    path: '/pme02000_retirada_inventario',
    name: 'Retirada do Merenda com Base no Inventário',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/medicao/pme02000_retirada_inventario',
        routePath: '/pme02000_retirada_inventario',
      },
    }),
  },
  {
    path: '/pme01600_desvio_de_consumo',
    name: 'Desvio de Consumo',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme01600_desvio_de_consumo',
        routePath: '/pme01600_desvio_de_consumo',
      },
    }),
  },
  {
    path: '/pme01700_custo_realizado_global_do_periodo',
    name: 'Custo Realizado Global do Período',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme01700_custo_realizado_global_do_periodo',
        routePath: '/pme01700_custo_realizado_global_do_periodo',
      },
    }),
  },
  {
    path: '/pme01100_custo_planejado_realizado',
    name: 'Custo Planejado X Realizado',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme01100_custo_planejado_realizado',
        routePath: '/pme01100_custo_planejado_realizado',
      },
    }),
  },
  {
    path: '/pme01800_consumo_planejado_realizado',
    name: 'Consumo Planejado X Realizado',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme01800_consumo_planejado_realizado',
        routePath: '/pme01800_consumo_planejado_realizado',
      },
    }),
  },
  {
    path: '/pme08200_custo_card_mes',
    name: 'Custo do Cardápio do Mês',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/custo/pme08200_custo_card_mes',
        routePath: '/pme08200_custo_card_mes',
      },
    }),
  },
  {
    path: '/ger28000_tipo_de_retirada',
    name: 'Tipo de Retirada',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: 'planejamento/parametrizacao/ger28000_tipo_de_retirada',
        routePath: '/ger28000_tipo_de_retirada',
      },
    }),
  },
  {
    path: '/pla01900_parametros_de_planejamento',
    name: 'Parâmetros do Planejamento',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath:
          '/planejamento/parametrizacao/pla01900_parametros_de_planejamento',
        routePath: '/pla01900_parametros_de_planejamento',
      },
    }),
  },
  {
    path: '/pla01303_emissao_receitas',
    name: 'Emissão das Receitas',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01303_emissao_receitas',
        routePath: '/pla01303_emissao_receitas',
      },
    }),
  },
  {
    path: '/pla01400_tipo_de_prato',
    name: 'Tipo de Prato',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01400_tipo_de_prato',
        routePath: '/pla01400_tipo_de_prato',
      },
    }),
  },
  {
    path: '/pla00470_embalagem',
    name: 'Embalagem',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/cadastro/pla00470_embalagem',
        routePath: '/pla00470_embalagem',
      },
    }),
  },
  {
    path: '/pla15300_categoria_embalagens',
    name: 'Categoria',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/cadastro/pla15300_categoria_embalagens',
        routePath: '/pla15300_categoria_embalagens',
      },
    }),
  },
  {
    path: '/dih52300_medicao_caseira',
    name: 'Medida Caseira',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/dih52300_medicao_caseira',
        routePath: '/dih52300_medicao_caseira',
      },
    }),
  },
  {
    path: '/pla15100_formas_de_preparo',
    name: 'Formas de Preparo',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/pla15100_formas_de_preparo',
        routePath: '/pla15100_formas_de_preparo',
      },
    }),
  },
  {
    path: '/ger01000_unidade_adicional_produto',
    name: 'Unidade Adicional do Produto',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/produto/ger01000_unidade_adicional_produto',
        routePath: '/ger01000_unidade_adicional_produto',
      },
    }),
  },
  {
    path: '/ger22000_apresentacao_produto',
    name: 'Apresentação do Produto',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/produto/ger22000_apresentacao_produto',
        routePath: '/ger22000_apresentacao_produto',
      },
    }),
  },
  {
    path: '/pla01300_prato',
    name: 'Prato',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01300_prato',
        routePath: '/pla01300_prato',
      },
    }),
  },
  {
    path: '/pla13200_agrupamento_grupo_pratos',
    name: 'Agrupamento de Grupo de Pratos',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath:
          '/pme/restricoesContratuais/pla13200_agrupamento_grupo_pratos',
        routePath: '/pla13200_agrupamento_grupo_pratos',
      },
    }),
  },
  {
    path: '/pla13100_padrao_grupo_prato',
    name: 'Padrão de Grupo de Prato',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/restricoesContratuais/pla13100_padrao_grupo_prato',
        routePath: '/pla13100_padrao_grupo_prato',
      },
    }),
  },
  {
    path: '/pme12000_grupo_prato',
    name: 'Grupo de Prato',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/restricoesContratuais/pme12000_grupo_prato',
        routePath: '/pme12000_grupo_prato',
      },
    }),
  },
  {
    path: '/restricoes_contratuais',
    name: 'Restrições Contratuais',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/restricoesContratuais/restricoes_contratuais',
        routePath: '/restricoes_contratuais',
      },
    }),
  },
  {
    path: '/ger09800_peso_produto_unidade',
    name: 'Peso do Produto na Unidade',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/produto/ger09800_peso_produto_unidade',
        routePath: '/ger09800_peso_produto_unidade',
      },
    }),
  },
  {
    path: '/pla05600_ponto_entrega',
    name: 'Ponto de Entrega',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/parametrizacao/pla05600_ponto_entrega',
        routePath: '/pla05600_ponto_entrega',
      },
    }),
  },
  {
    path: '/pme05900_assistente_de_integracao',
    name: 'Assistente de Integração de Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/cardapio/pme05900_assistente_de_integracao',
        routePath: '/pme05900_assistente_de_integracao',
      },
    }),
  },
  {
    path: '/pme00617_exclusao_cardapio',
    name: 'Exclusão de Cardápio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/pme/cardapio/pme00617_exclusao_cardapio',
        routePath: '/pme00617_exclusao_cardapio',
      },
    }),
  },
  {
    path: '/pla01308_utilizacao_produtos_menu',
    name: 'Utilização de Produtos na Receita',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01308_utilizacao_produtos_menu',
        routePath: '/pla01308_utilizacao_produtos_menu',
      },
    }),
  },
  {
    path: '/pla01303_emissao_receitas_menu',
    name: 'Emissão das Receitas',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        jsonPath: '/planejamento/prato/pla01303_emissao_receitas_menu',
        routePath: '/pla01303_emissao_receitas_menu',
      },
    }),
  },
];

window.addEventListener('resize', () => {
  if (!appController) {
    appController = Loader.getInstance('AppController');
  }
  appController.updateHeaderElements();
});

export default routes;
